﻿/* #region utilitarios */

.required-asterisk:after {
    content: " *";
    color: red;
    font-weight: bold;
}

.small-marks {
    font-size: 0.625rem;
}

    .small-marks *:not(:last-child):after {
        content: " \2022";
        margin: 0 0.25rem;
        font-weight: normal;
    }

.sys-clicavel {
    cursor: pointer;
}

.sys-cursor-help {
    cursor: help;
}

.sys-readonly {
    pointer-events: none;
}

.procurar-classe {
    background-color: var(--mdc-theme-background--2);
}

.procurar-classe.dark-mode {
    background-color: var(--bs-primary-rgb);
}

/*.sys-clicavel:hover {
        background-color: var(--sys-color-hover);
    }*/
/* #endregion */
/* #region BOTOES */
.sys-icon-button {
    --bs-btn-color: var(--mdc-theme-primary);
    --bs-btn-hover-color: var(--mdc-theme-primary--dark-1);
    --bs-btn-hover-bg: var(--mdc-theme-background--2);
    --bs-btn-active-color: var(--mdc-theme-primary--dark-2);
    --bs-btn-active-bg: var(--mdc-theme-background--2);
    padding: 0.15rem 0.75rem;
    font-size: 20px;
    cursor: pointer;
}

.dark-mode .sys-icon-button {
    --bs-btn-color: var(--mdc-theme-primary--dark-2);
    --bs-btn-hover-color: var(--mdc-theme-primary--dark-2);
}

@media (max-width: 991px) { /*lg*/
    .sys-icon-button {
        padding: 0 0.45rem;
    }
}

/* #endregion */

/* #region CORES */

.sys-fg-primary {
    color: var(--mdc-theme-primary) !important;
}

.sys-fg-light-1 {
    color: var(--mdc-theme-primary--light-1) !important;
}

.sys-fg-light-2 {
    color: var(--mdc-theme-primary--light-2) !important;
}

.sys-fg-dark-1 {
    color: var(--mdc-theme-primary--dark-1) !important;
}

.sys-fg-dark-2 {
    color: var(--mdc-theme-primary--dark-2) !important;
}

.sys-bg-primary {
    background-color: var(--mdc-theme-primary) !important;
}

/* #endregion */

/* #region textos e links */

.sys-reset-anchor {
    text-decoration: none;
    color: unset;
    font-weight: unset;
}

.sys-bold-300 {
    font-weight: 300;
}

/* #endregion */

/* #region CONTAINER */

.sys-container-very-large {
    width: 100%;
    padding-right: var(--bs-gutter-x, 0.75rem);
    padding-left: var(--bs-gutter-x, 0.75rem);
    margin-right: auto;
    margin-left: auto;
}

@media (max-width: 991px) { /*lg*/
    .sys-container-very-large {
        width: 100%;
        padding-left: 0.25rem;
        padding-right: 0.25rem;
    }
}

@media (min-width: 1700px) {
    .sys-container-very-large {
        max-width: 1660px;
    }
}


.sys-container-fullhd {
    width: 100%;
    padding-right: var(--bs-gutter-x, 0.75rem);
    padding-left: var(--bs-gutter-x, 0.75rem);
    margin-right: auto;
    margin-left: auto;
}

@media (max-width: 991px) { /*lg*/
    .sys-container-fullhd {
        width: 100%;
        padding-left: 0.25rem;
        padding-right: 0.25rem;
    }
}

@media (min-width: 1921px) {
    .sys-container-fullhd {
        max-width: 1860px;
    }
}

/* #endregion */

/* #region Forms */

.sys-check-input-grande {
    width: 1.5rem;
    height: 1.5rem;
}

/* #endregion */

/* #region ANIMATIONS */
@keyframes kf-fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes kf-spin360 {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

@keyframes kf-bounce {
    70% {
        transform: translateY(0%);
    }

    80% {
        transform: translateY(-15%);
    }

    90% {
        transform: translateY(0%);
    }

    95% {
        transform: translateY(-7%);
    }

    97% {
        transform: translateY(0%);
    }

    99% {
        transform: translateY(-3%);
    }

    100% {
        transform: translateY(0);
    }
}

.sys-animations-fadein {
    animation: kf-fadein 0.5s;
}

/* #endregion */

/* #region TELA DE LOADING */

#layout-loading-splash {
    --sys-loading-bg: #5C5C5C; /* cinza */
    --sys-loading-fg: #FFFFFF; /* branco */

    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--sys-loading-bg);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2000;
    opacity: 0.9;
    pointer-events: none;
    animation: kf-fadein 1s;
}

    #layout-loading-splash .container {
        text-align: center;
    }

        #layout-loading-splash .container i {
            font-size: 4rem !important;
            color: var(--sys-loading-fg);
            animation: kf-spin360 2s linear infinite;
        }

        #layout-loading-splash .container .message {
            font-size: 1.5rem;
            color: var(--sys-loading-fg);
            margin-top: 1rem;
        }

/* #endregion */

/* #region TELAS DE ERRO */

.sys-error-area {
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100vh - 80px);
}

    .sys-error-area .error-icone {
        font-size: 16rem;
    }

        .sys-error-area .error-icone.erro {
            color: var(--sys-color-dark-2) !important;
        }

        .sys-error-area .error-icone.acesso {
            color: #f44336 !important;
        }

    .sys-error-area .error-texto {
        color: var(--sys-color-dark-1) !important;
        font-size: 3rem;
    }

@media (max-width: 991px) { /*lg*/

    .sys-error-area .error-icone {
        font-size: 10rem;
    }

    .sys-error-area .error-texto {
        font-size: 2rem;
    }
}

/* #endregion */

/* #region Vue.js */

[v-cloak] > * {
    display: none;
}

.ext-component-loading {
    pointer-events: none;
    position: relative;
}

    .ext-component-loading:before {
        content: "Carregando dados..";
        background-repeat: no-repeat;
        background-position: center 30%;
        background-image: url('data:image/gif;base64,R0lGODlhEAAQAPIAAP///wAAAMLCwkJCQgAAAGJiYoKCgpKSkiH/C05FVFNDQVBFMi4wAwEAAAAh/hpDcmVhdGVkIHdpdGggYWpheGxvYWQuaW5mbwAh+QQJCgAAACwAAAAAEAAQAAADMwi63P4wyklrE2MIOggZnAdOmGYJRbExwroUmcG2LmDEwnHQLVsYOd2mBzkYDAdKa+dIAAAh+QQJCgAAACwAAAAAEAAQAAADNAi63P5OjCEgG4QMu7DmikRxQlFUYDEZIGBMRVsaqHwctXXf7WEYB4Ag1xjihkMZsiUkKhIAIfkECQoAAAAsAAAAABAAEAAAAzYIujIjK8pByJDMlFYvBoVjHA70GU7xSUJhmKtwHPAKzLO9HMaoKwJZ7Rf8AYPDDzKpZBqfvwQAIfkECQoAAAAsAAAAABAAEAAAAzMIumIlK8oyhpHsnFZfhYumCYUhDAQxRIdhHBGqRoKw0R8DYlJd8z0fMDgsGo/IpHI5TAAAIfkECQoAAAAsAAAAABAAEAAAAzIIunInK0rnZBTwGPNMgQwmdsNgXGJUlIWEuR5oWUIpz8pAEAMe6TwfwyYsGo/IpFKSAAAh+QQJCgAAACwAAAAAEAAQAAADMwi6IMKQORfjdOe82p4wGccc4CEuQradylesojEMBgsUc2G7sDX3lQGBMLAJibufbSlKAAAh+QQJCgAAACwAAAAAEAAQAAADMgi63P7wCRHZnFVdmgHu2nFwlWCI3WGc3TSWhUFGxTAUkGCbtgENBMJAEJsxgMLWzpEAACH5BAkKAAAALAAAAAAQABAAAAMyCLrc/jDKSatlQtScKdceCAjDII7HcQ4EMTCpyrCuUBjCYRgHVtqlAiB1YhiCnlsRkAAAOwAAAAAAAAAAAA==');
        position: absolute;
        top: 5rem;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
        width: 300px;
        height: 100px;
        text-align: center;
        z-index: 9;
        background-color: var(--sys-color-base);
        border: 1px solid var(--bs-border-color);
        border-radius: 10px;
        padding: 50px 0;
    }

    .ext-component-loading * {
        opacity: 0.9;
        filter: blur(5px);
        cursor: wait !important;
    }

/* #endregion */


/* #region ResizeMixin container */

.sys-resize-container {
    display: flex;
    height: calc(100vh - 48px);
    width: 100%;
    overflow: hidden;
}

.resizer {
    cursor: ew-resize;
    height: 100vh;
    width: 8px;
    background-color: var(--bs-body-bg);
}

    .resizer:before {
        content: '...';
        position: absolute;
        top: 50vh;
        rotate: 90deg;
        padding-left: 2px;
        font-weight: bold;
        font-size: 20px;
        color: var(--bs-body-color);
    }

.container-left {
    width: 50%;
    overflow: scroll;
    overflow-x: hidden;
}

.container-right {
    flex: 1;
    overflow: scroll;
    overflow-x: hidden;
}

/* #endregion */


/* #region mark.js */

mark {
    background-color: var(--edocs-mark-bg);
    padding: 0.2rem 0;
    font-weight: 500;
    color: unset;
    line-height: 1;
}

/* #endregion */


/* #region TABS */

.sys-tabs {
    background-color: unset;
}

    .sys-tabs .nav-link {
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 1rem 0.5rem 0.5rem 0.5rem;
        border: 0;
        border-bottom: 2px solid transparent;
        font-weight: 500;
        cursor: pointer;
        font-size: 1.1rem;
        text-transform: uppercase;
        min-width: 15rem;
        height: 3.5rem;
    }

        .sys-tabs .nav-link:hover {
            border-color: var(--mdc-theme-primary--light-2);
            background-color: var(--mdc-theme-background--1);
        }

        .sys-tabs .nav-link i {
            font-size: 1.75rem;
            padding: 0 1rem 0 0;
        }

        .sys-tabs .nav-link.active {
            border-bottom: 2px solid var(--mdc-theme-primary--dark-1);
            color: var(--mdc-theme-primary);
            background-color: var(--mdc-theme-background--1);
        }

            .sys-tabs .nav-link.active:hover {
                color: var(--mdc-theme-primary--dark-2);
                border-color: var(--mdc-theme-primary--dark-2);
                background-color: var(--mdc-theme-background--2);
            }

/* #endregion */


/* #region Tooltip */

[data-tooltip] {
    position: relative;
    cursor: pointer;
}

    [data-tooltip]::after {
        content: attr(data-tooltip);
        position: absolute;
        top: 120%;
        left: 50%;
        transform: translateX(-70%);
        background: #222;
        color: #fff;
        padding: 6px 10px;
        border-radius: 6px;
        font-size: 12px;
        opacity: 0;
        pointer-events: none;
        transition: 0.2s;
        white-space: nowrap;
        z-index: 999;
    }

    [data-tooltip]:hover::after {
        opacity: 1;
    }

/* #endregion */